Project

General

Profile

Bug #2169

Greyhole update to 0.10.0

Added by bigfoot65 almost 4 years ago. Updated over 3 years ago.

Status:
Closed
Priority:
Normal
Assignee:
Target version:
-
Start date:
10/02/2016
Due date:
% Done:

0%


Description

The source file is available at https://github.com/gboudreau/Greyhole/archive/0.9.68.tar.gz

  • New Samba 4.5 support
  • Bugfix: fix for missing symlinks on Ubuntu didn't work for 332-bit systems Those installs use /usr/lib/i386-linux-gnu as their libs folder
  • Bugfix: if fsck report can't be loaded from disk, just rename the file, and initialize a new empty fsck report.
  • Better error reports for files with wrong md5

History

#1 Updated by cpg almost 4 years ago

test version (buit on f24)

http://alpha.amahi.org/tmp/amahi-greyhole-0.9.68-1.x86_64.rpm

#2 Updated by cpg almost 4 years ago

  • Status changed from Assigned to Feedback
  • Assignee changed from cpg to bigfoot65

#3 Updated by bigfoot65 over 3 years ago

  • Subject changed from Greyhole update to 0.9.68 to Greyhole update to 0.10.0
  • Status changed from Feedback to Assigned
  • Assignee changed from bigfoot65 to cpg

Since I never got to this one. There is a new version of Greyhole.

https://github.com/gboudreau/Greyhole/archive/0.10.0.tar.gz

  • Hooks!
  • Improvement: log warnings (and +) to both .err and .log files
    *README: Added note about MTA required to send emails

A user in the forums is anxious to test it and the Greyhole UI app.

#4 Updated by cpg over 3 years ago

updated to include samba 4.5:

http://alpha.amahi.org/tmp/amahi-greyhole-0.10.0-1.x86_64.rpm

#5 Updated by cpg over 3 years ago

oh, i did not test this on f23/amahi 9. it was compiled on f25 latest.

#6 Updated by cpg over 3 years ago

oh, i just noticed

Warning: Greyhole doesn't include a VFS module for your version of Samba (4 5).

so, please do not use that url yet.

#7 Updated by cpg over 3 years ago

ok, fixed, should install properly now. did not test much. i think it may not install ok in f23 because it will try to require php-mysqlnd, which is new in f25.

if you want it for f23 and can actually test it, i can cook a version for it that has the proper requires, etc.

#8 Updated by cpg over 3 years ago

this may work for f23

http://alpha.amahi.org/tmp/amahi-greyhole-0.10.0-1f23.x86_64.rpm

#9 Updated by bigfoot65 over 3 years ago

Thanks!

I will try to give them a test tomorrow.

#10 Updated by bigfoot65 over 3 years ago

  • Status changed from Assigned to Feedback

Sorry it took so long. Testing Greyhole 0.10.0. When running fcsk, got this warning:

 WARN initialize: Deprecated option found in greyhole.conf: storage_pool_directory. You should change that to: storage_pool_drive

Executed the items on the checklist and no other issues noted.

Recommend release for Fedora 23.

#11 Updated by cpg over 3 years ago

How did you configure GH?

Can you share the /etc/greyhole.conf file? (privately, if it helps)

#12 Updated by bigfoot65 over 3 years ago

I used the Greyhole UI app. Then to make the warning go away, I changed storage_pool_directory to storage_pool_drive. Restarted Greyhole and the error disappeared.

It's just a warning, so I presume Greyhole will still work either way for now.

If you need to see the greyhole.conf, I will have to recreate the test as I reverted the VM. You know me, always too fast to pull the trigger sometimes LOL

#13 Updated by bigfoot65 over 3 years ago

Noticed storage_pool_drive is listed in the greyhole.conf.example included with this version as well. I think it was changed a while back, but both were allowed. The warning is new I think.

#14 Updated by cpg over 3 years ago

It's in the example but commented out. That may need an update.

Hmm. I vaguely remember we had taken care of this one, but maybe not. I still see that in the source code

Let me just hijack this bug to take care of that but I will be updating the rpm for f23 and f25.

#15 Updated by cpg over 3 years ago

  • Assignee changed from cpg to bigfoot65

ok, released for f23/a9 and shortly for f25. please announce it when you can and close this.

#16 Updated by bigfoot65 over 3 years ago

  • Assignee changed from bigfoot65 to cpg

Will do.

Will Greyhole UI be updated for the deprecated storage_pool_directory?

My log has several lines with the new Greyhole version indicating such.

#17 Updated by cpg over 3 years ago

  • Status changed from Feedback to Assigned

oh, right I said we should use this bug for that, so thanks for not closing it.

#18 Updated by bigfoot65 over 3 years ago

Announcement will go out tomorrow AM. Did not mention Greyhole UI.

#19 Updated by bigfoot65 over 3 years ago

I know you can fix the Greyhole UI for this, but what about those who already have the app installed?

Is there a way to fix the code on those systems or is a uninstall/reinstall necessary?

I manually fixed the code on my machine to get rid of the warning message.

#20 Updated by bigfoot65 over 3 years ago

version 0.10.2 was released today correcting a few errors:

https://github.com/gboudreau/Greyhole/archive/0.10.2.tar.gz

  • Bugfix: complete = 'written' was not an option
  • TINYTEXT > VARCHAR
  • More explicit error message when no file copies are found

#21 Updated by cpg over 3 years ago

  • Status changed from Assigned to Feedback
  • Assignee changed from cpg to bigfoot65

updated 0.10.2 and Greyhole UI on fedora 25. Quick test of the UI seems to indicate it's working ok, but it was a rather cursory test.

if you can, give it a spin. if not, then i think it's relatively low risk to release in f23.

#22 Updated by bigfoot65 over 3 years ago

Will give it a try soon.

You are probably right, release on F23 should work fine.

#23 Updated by cpg over 3 years ago

  • Status changed from Feedback to Closed
  • Assignee changed from bigfoot65 to cpg

amahi-greyhole-0.10.2 has been released to the f23 repo.

the greyhole UI has also been updated to 1.5 for Amahi 9/F23.

closing this bug. if we can test, great, if not, then it seems low-risk.

Also available in: Atom